"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ColumnContainer = void 0;
var _styledComponents = _interopRequireWildcard(require("styled-components"));
var _mediaQuery = require("../../shared/media-query/media-query.js");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const calculateChildrens = size => {
  const childrens = Math.round(100 / size.replace('%', ''));
  return childrens === 1 ? childrens + 1 : childrens;
};
const getDisplay = size => (0, _styledComponents.css)`
  display: ${size === '0%' ? 'none' : 'block'};
  ${size === '0%' ? '.flex { display: none; }' : '.flex { display: flex; }'};
`;
const ColumnContainer = _styledComponents.default.div`
  --childrens-xs: ${({
  size
}) => calculateChildrens(size.xs)};
  --childrens-sm: ${({
  size
}) => calculateChildrens(size.sm)};
  --childrens-md: ${({
  size
}) => calculateChildrens(size.md)};
  --childrens-lg: ${({
  size
}) => calculateChildrens(size.lg)};

  width: ${({
  size,
  theme
}) => size.xs !== '100%' ? `calc(${size.xs} - (${theme.tokens.flexbox.XS} * (var(--childrens-xs) - 1)) / var(--childrens-xs))` : '100%'};

  ${({
  size
}) => getDisplay(size.xs)};

  @media ${_mediaQuery.MediaQueries.SM} {
    width: ${({
  size,
  theme
}) => size.sm !== '100%' ? `calc(${size.sm} - (${theme.tokens.flexbox.S} * (var(--childrens-sm) - 1)) / var(--childrens-sm))` : '100%'};

    ${({
  size
}) => getDisplay(size.sm)};
  }

  @media ${_mediaQuery.MediaQueries.MD} {
    width: ${({
  size,
  theme
}) => size.md !== '100%' ? `calc(${size.md} - (${theme.tokens.flexbox.M} * (var(--childrens-md) - 1)) / var(--childrens-md))` : '100%'};

    ${({
  size
}) => getDisplay(size.md)};
  }

  @media ${_mediaQuery.MediaQueries.LG} {
    width: ${({
  size,
  theme
}) => size.lg !== '100%' ? `calc(${size.lg} - (${theme.tokens.flexbox.M} * (var(--childrens-lg) - 1)) / var(--childrens-lg))` : '100%'};

    ${({
  size
}) => getDisplay(size.lg)};
  }
`;
exports.ColumnContainer = ColumnContainer;