"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.colors = void 0;
var _index = require("../tokens/index.js");
const colors = {
  content: {
    accent: _index.tokens.cyan['700'],
    base: _index.tokens.navy['700'],
    subtle: _index.tokens.navy['500'],
    weak: _index.tokens.navy['400'],
    baseInverse: _index.tokens.neutral['100'],
    subtleInverse: _index.tokens.navy['200'],
    weakInverse: _index.tokens.navy['400'],
    danger: _index.tokens.red['600'],
    warning: _index.tokens.amber['500'],
    success: _index.tokens.green['600']
  },
  contentState: {
    accent: {
      hover: _index.tokens.cyan['800'],
      active: _index.tokens.cyan['800'],
      disable: _index.tokens.cyan['300']
    },
    base: {
      hover: _index.tokens.navy['600'],
      active: _index.tokens.navy['600'],
      disable: _index.tokens.navy['300']
    },
    subtle: {
      hover: _index.tokens.navy['600'],
      active: _index.tokens.navy['600'],
      disable: _index.tokens.navy['300']
    },
    weak: {
      hover: _index.tokens.navy['500'],
      active: _index.tokens.navy['500'],
      disable: _index.tokens.navy['300']
    },
    baseInverse: {
      hover: _index.tokens.navy['300'],
      active: _index.tokens.navy['300'],
      disable: _index.tokens.navy['400']
    },
    subtleInverse: {
      hover: _index.tokens.navy['100'],
      active: _index.tokens.navy['100'],
      disable: _index.tokens.navy['400']
    },
    weakInverse: {
      hover: _index.tokens.navy['300'],
      active: _index.tokens.navy['300'],
      disable: _index.tokens.navy['400']
    },
    danger: {
      hover: _index.tokens.red['700'],
      active: _index.tokens.red['700'],
      disable: _index.tokens.red['200']
    },
    warning: {
      hover: _index.tokens.amber['600'],
      active: _index.tokens.amber['600'],
      disable: _index.tokens.amber['200']
    },
    success: {
      hover: _index.tokens.green['700'],
      active: _index.tokens.green['700'],
      disable: _index.tokens.green['200']
    }
  },
  background: {
    accent: _index.tokens.cyan['700'],
    accentLight: _index.tokens.cyan['300'],
    base: _index.tokens.neutral['100'],
    subtle: _index.tokens.navy['50'],
    weak: _index.tokens.navy['100'],
    dark: _index.tokens.navy['700'],
    darkLight: _index.tokens.navy['200'],
    transaction: _index.tokens.yellow['700'],
    danger: _index.tokens.red['600'],
    dangerLight: _index.tokens.red['100'],
    warning: _index.tokens.amber['500'],
    warningLight: _index.tokens.amber['100'],
    success: _index.tokens.green['600'],
    successLight: _index.tokens.green['100']
  },
  backgroundState: {
    accent: {
      hover: _index.tokens.cyan['800'],
      active: _index.tokens.cyan['800'],
      disable: _index.tokens.cyan['300']
    },
    accentLight: {
      hover: _index.tokens.cyan['500'],
      active: _index.tokens.cyan['500'],
      disable: _index.tokens.cyan['300']
    },
    base: {
      hover: _index.tokens.neutral['200'],
      active: _index.tokens.neutral['200'],
      disable: _index.tokens.neutral['100']
    },
    dark: {
      hover: _index.tokens.navy['600'],
      active: _index.tokens.navy['600'],
      disable: _index.tokens.navy['300']
    },
    darkLight: {
      hover: _index.tokens.navy['300'],
      active: _index.tokens.navy['300'],
      disable: _index.tokens.navy['100']
    },
    transaction: {
      hover: _index.tokens.yellow['800'],
      active: _index.tokens.yellow['800'],
      disable: _index.tokens.yellow['300']
    }
  },
  border: {
    base: _index.tokens.navy['300'],
    subtle: _index.tokens.navy['200'],
    weak: _index.tokens.navy['100'],
    dark: _index.tokens.navy['700'],
    darkLight: _index.tokens.navy['500'],
    accent: _index.tokens.cyan['700'],
    focus: _index.tokens.cyan['700'],
    danger: _index.tokens.red['600'],
    amber: _index.tokens.amber['500'],
    success: _index.tokens.green['600']
  },
  borderState: {
    dark: {
      hover: _index.tokens.navy['500'],
      active: _index.tokens.navy['500'],
      disable: _index.tokens.navy['300']
    },
    darkLight: {
      hover: _index.tokens.navy['700'],
      active: _index.tokens.navy['700'],
      disable: _index.tokens.navy['300']
    },
    accent: {
      hover: _index.tokens.cyan['500'],
      active: _index.tokens.cyan['500'],
      disable: _index.tokens.cyan['300']
    },
    focus: {
      hover: _index.tokens.cyan['500'],
      active: _index.tokens.cyan['500'],
      disable: _index.tokens.cyan['300']
    },
    danger: {
      hover: _index.tokens.red['700'],
      active: _index.tokens.red['700'],
      disable: _index.tokens.red['200']
    },
    warning: {
      hover: _index.tokens.amber['600'],
      active: _index.tokens.amber['600'],
      disable: _index.tokens.amber['200']
    },
    success: {
      hover: _index.tokens.green['700'],
      active: _index.tokens.green['700'],
      disable: _index.tokens.green['200']
    }
  }
};
exports.colors = colors;