"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.colors = void 0;
var _index = require("../tokens/index.js");
const colors = {
  content: {
    accent: _index.tokens.digitalorange['500'],
    base: _index.tokens.neutral['900'],
    subtle: _index.tokens.neutral['700'],
    weak: _index.tokens.neutral['400'],
    baseInverse: _index.tokens.neutral['100'],
    subtleInverse: _index.tokens.digitalorange['400'],
    weakInverse: _index.tokens.digitalorange['200'],
    danger: _index.tokens.red['500'],
    warning: _index.tokens.yellow['500'],
    success: _index.tokens.green['500']
  },
  contentState: {
    accent: {
      hover: _index.tokens.digitalorange['500'],
      active: _index.tokens.digitalorange['500'],
      disable: _index.tokens.digitalorange['300']
    },
    base: {
      hover: _index.tokens.neutral['900'],
      active: _index.tokens.neutral['900'],
      disable: _index.tokens.neutral['500']
    },
    subtle: {
      hover: _index.tokens.neutral['800'],
      active: _index.tokens.neutral['800'],
      disable: _index.tokens.neutral['300']
    },
    weak: {
      hover: _index.tokens.neutral['500'],
      active: _index.tokens.neutral['400'],
      disable: _index.tokens.neutral['300']
    },
    baseInverse: {
      hover: _index.tokens.neutral['300'],
      active: _index.tokens.neutral['300'],
      disable: _index.tokens.neutral['500']
    },
    subtleInverse: {
      hover: _index.tokens.neutral['200'],
      active: _index.tokens.neutral['200'],
      disable: _index.tokens.neutral['500']
    },
    weakInverse: {
      hover: _index.tokens.neutral['200'],
      active: _index.tokens.neutral['200'],
      disable: _index.tokens.neutral['500']
    },
    danger: {
      hover: _index.tokens.red['700'],
      active: _index.tokens.red['500'],
      disable: _index.tokens.red['200']
    },
    warning: {
      hover: _index.tokens.yellow['600'],
      active: _index.tokens.yellow['500'],
      disable: _index.tokens.yellow['200']
    },
    success: {
      hover: _index.tokens.green['700'],
      active: _index.tokens.green['500'],
      disable: _index.tokens.green['200']
    }
  },
  background: {
    accent: _index.tokens.digitalorange['500'],
    accentLight: _index.tokens.digitalorange['200'],
    base: _index.tokens.neutral['100'],
    subtle: _index.tokens.neutral['200'],
    weak: _index.tokens.neutral['200'],
    dark: _index.tokens.neutral['900'],
    darkLight: _index.tokens.neutral['200'],
    transaction: _index.tokens.digitalorange['500'],
    danger: _index.tokens.red['500'],
    dangerLight: _index.tokens.red['100'],
    warning: _index.tokens.yellow['500'],
    warningLight: _index.tokens.yellow['100'],
    success: _index.tokens.green['500'],
    successLight: _index.tokens.green['100']
  },
  backgroundState: {
    accent: {
      hover: _index.tokens.digitalorange['500'],
      active: _index.tokens.digitalorange['500'],
      disable: _index.tokens.digitalorange['200']
    },
    accentLight: {
      hover: _index.tokens.digitalorange['500'],
      active: _index.tokens.digitalorange['500'],
      disable: _index.tokens.digitalorange['200']
    },
    base: {
      hover: _index.tokens.neutral['200'],
      active: _index.tokens.neutral['200'],
      disable: _index.tokens.neutral['100']
    },
    dark: {
      hover: _index.tokens.neutral['700'],
      active: _index.tokens.neutral['700'],
      disable: _index.tokens.neutral['300']
    },
    darkLight: {
      hover: _index.tokens.neutral['400'],
      active: _index.tokens.neutral['400'],
      disable: _index.tokens.neutral['200']
    },
    transaction: {
      hover: _index.tokens.digitalorange['500'],
      active: _index.tokens.digitalorange['500'],
      disable: _index.tokens.digitalorange['200']
    }
  },
  border: {
    base: _index.tokens.neutral['400'],
    subtle: _index.tokens.neutral['300'],
    weak: _index.tokens.neutral['200'],
    dark: _index.tokens.neutral['900'],
    darkLight: _index.tokens.neutral['600'],
    accent: _index.tokens.digitalorange['500'],
    focus: _index.tokens.digitalorange['500'],
    danger: _index.tokens.red['500'],
    amber: _index.tokens.yellow['500'],
    success: _index.tokens.green['500']
  },
  borderState: {
    dark: {
      hover: _index.tokens.neutral['600'],
      active: _index.tokens.neutral['600'],
      disable: _index.tokens.neutral['300']
    },
    darkLight: {
      hover: _index.tokens.neutral['900'],
      active: _index.tokens.neutral['900'],
      disable: _index.tokens.neutral['300']
    },
    accent: {
      hover: _index.tokens.digitalorange['500'],
      active: _index.tokens.digitalorange['500'],
      disable: _index.tokens.digitalorange['300']
    },
    focus: {
      hover: _index.tokens.digitalorange['500'],
      active: _index.tokens.digitalorange['500'],
      disable: _index.tokens.digitalorange['300']
    },
    danger: {
      hover: _index.tokens.red['700'],
      active: _index.tokens.red['500'],
      disable: _index.tokens.red['200']
    },
    warning: {
      hover: _index.tokens.yellow['600'],
      active: _index.tokens.yellow['500'],
      disable: _index.tokens.yellow['200']
    },
    success: {
      hover: _index.tokens.green['700'],
      active: _index.tokens.green['500'],
      disable: _index.tokens.green['200']
    }
  }
};
exports.colors = colors;