"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.typography = void 0;
var _index = require("../tokens/index.js");
const typography = {
  desktop: {
    headings: {
      h0: {
        fontWeight: _index.tokens.fontWeight.bold,
        lineHeight: _index.tokens.lineHeight.basePercent,
        fontSize: _index.tokens.fontSize['700'],
        letterSpacing: _index.tokens.letterSpacing.none,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      },
      h1Light: {
        fontWeight: _index.tokens.fontWeight.light,
        lineHeight: _index.tokens.lineHeight['400'],
        fontSize: _index.tokens.fontSize['500'],
        letterSpacing: _index.tokens.letterSpacing.S,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      },
      h1: {
        fontWeight: _index.tokens.fontWeight.bold,
        lineHeight: _index.tokens.lineHeight['450'],
        fontSize: _index.tokens.fontSize['600'],
        letterSpacing: _index.tokens.letterSpacing.XXS,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      },
      h2: {
        fontWeight: _index.tokens.fontWeight.bold,
        lineHeight: _index.tokens.lineHeight['300'],
        fontSize: _index.tokens.fontSize['400'],
        letterSpacing: _index.tokens.letterSpacing.XS,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      },
      h3: {
        fontWeight: _index.tokens.fontWeight.bold,
        lineHeight: _index.tokens.lineHeight['200'],
        fontSize: _index.tokens.fontSize['200'],
        letterSpacing: _index.tokens.letterSpacing.L,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      },
      h4: {
        fontWeight: _index.tokens.fontWeight.bold,
        lineHeight: _index.tokens.lineHeight['250'],
        fontSize: _index.tokens.fontSize['200'],
        letterSpacing: _index.tokens.letterSpacing.L,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      }
    },
    body: {
      primary: {
        fontWeight: _index.tokens.fontWeight.regular,
        lineHeight: _index.tokens.lineHeight['275'],
        fontSize: _index.tokens.fontSize['150'],
        letterSpacing: _index.tokens.letterSpacing.L,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      },
      secondary: {
        fontWeight: _index.tokens.fontWeight.regular,
        lineHeight: _index.tokens.lineHeight['275'],
        fontSize: _index.tokens.fontSize['150'],
        letterSpacing: _index.tokens.letterSpacing.L,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      },
      secondaryBold: {
        fontWeight: _index.tokens.fontWeight.bold,
        lineHeight: _index.tokens.lineHeight['175'],
        fontSize: _index.tokens.fontSize['150'],
        letterSpacing: _index.tokens.letterSpacing.L,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      },
      tertiary: {
        fontWeight: _index.tokens.fontWeight.regular,
        lineHeight: _index.tokens.lineHeight['100'],
        fontSize: _index.tokens.fontSize['50'],
        letterSpacing: _index.tokens.letterSpacing.XL,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      }
    },
    label: {
      primary: {
        fontWeight: _index.tokens.fontWeight.bold,
        lineHeight: _index.tokens.lineHeight['150'],
        fontSize: _index.tokens.fontSize['125'],
        letterSpacing: _index.tokens.letterSpacing.XL,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      },
      secondary: {
        fontWeight: _index.tokens.fontWeight.regular,
        lineHeight: _index.tokens.lineHeight['100'],
        fontSize: _index.tokens.fontSize['100'],
        letterSpacing: _index.tokens.letterSpacing.XXL,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      },
      secondaryBold: {
        fontWeight: _index.tokens.fontWeight.bold,
        lineHeight: _index.tokens.lineHeight['100'],
        fontSize: _index.tokens.fontSize['100'],
        letterSpacing: _index.tokens.letterSpacing.XXL,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      },
      tertiary: {
        fontWeight: _index.tokens.fontWeight.regular,
        lineHeight: _index.tokens.lineHeight['50'],
        fontSize: _index.tokens.fontSize['75'],
        letterSpacing: _index.tokens.letterSpacing.XXL,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      },
      tertiaryBold: {
        fontWeight: _index.tokens.fontWeight.bold,
        lineHeight: _index.tokens.lineHeight['50'],
        fontSize: _index.tokens.fontSize['75'],
        letterSpacing: _index.tokens.letterSpacing.XXL,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      }
    },
    input: {
      primary: {
        fontWeight: _index.tokens.fontWeight.regular,
        lineHeight: _index.tokens.lineHeight['150'],
        fontSize: _index.tokens.fontSize['75'],
        letterSpacing: _index.tokens.letterSpacing.XL,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      },
      secondary: {
        fontWeight: _index.tokens.fontWeight.regular,
        lineHeight: _index.tokens.lineHeight['50'],
        fontSize: _index.tokens.fontSize['50'],
        letterSpacing: _index.tokens.letterSpacing.XL,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      }
    },
    button: {
      primary: {
        fontWeight: _index.tokens.fontWeight.bold,
        lineHeight: _index.tokens.lineHeight['200'],
        fontSize: _index.tokens.fontSize['100'],
        letterSpacing: _index.tokens.letterSpacing.XL,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      },
      secondary: {
        fontWeight: _index.tokens.fontWeight.bold,
        lineHeight: _index.tokens.lineHeight['200'],
        fontSize: _index.tokens.fontSize['75'],
        letterSpacing: _index.tokens.letterSpacing.XL,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      },
      tertiary: {
        fontWeight: _index.tokens.fontWeight.bold,
        lineHeight: _index.tokens.lineHeight['100'],
        fontSize: _index.tokens.fontSize['50'],
        letterSpacing: _index.tokens.letterSpacing.XL,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      }
    }
  },
  mobile: {
    headings: {
      h0: {
        fontWeight: _index.tokens.fontWeight.bold,
        lineHeight: _index.tokens.lineHeight.basePercent,
        fontSize: _index.tokens.fontSize['600'],
        letterSpacing: _index.tokens.letterSpacing.none,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      },
      h1: {
        fontWeight: _index.tokens.fontWeight.bold,
        lineHeight: _index.tokens.lineHeight['285'],
        fontSize: _index.tokens.fontSize['350'],
        letterSpacing: _index.tokens.letterSpacing.S,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      },
      h1Light: {
        fontWeight: _index.tokens.fontWeight.light,
        lineHeight: _index.tokens.lineHeight['200'],
        fontSize: _index.tokens.fontSize['200'],
        letterSpacing: _index.tokens.letterSpacing.M,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      },
      h2: {
        fontWeight: _index.tokens.fontWeight.bold,
        lineHeight: _index.tokens.lineHeight['225'],
        fontSize: _index.tokens.fontSize['200'],
        letterSpacing: _index.tokens.letterSpacing.L,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      },
      h3: {
        fontWeight: _index.tokens.fontWeight.bold,
        lineHeight: _index.tokens.lineHeight['150'],
        fontSize: _index.tokens.fontSize['125'],
        letterSpacing: _index.tokens.letterSpacing.none,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      },
      h4: {
        fontWeight: _index.tokens.fontWeight.bold,
        lineHeight: _index.tokens.lineHeight['200'],
        fontSize: _index.tokens.fontSize['125'],
        letterSpacing: _index.tokens.letterSpacing.L,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      }
    },
    body: {
      primary: {
        fontWeight: _index.tokens.fontWeight.regular,
        lineHeight: _index.tokens.lineHeight['200'],
        fontSize: _index.tokens.fontSize['100'],
        letterSpacing: _index.tokens.letterSpacing.XL,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      },
      secondary: {
        fontWeight: _index.tokens.fontWeight.regular,
        lineHeight: _index.tokens.lineHeight['200'],
        fontSize: _index.tokens.fontSize['100'],
        letterSpacing: _index.tokens.letterSpacing.XXL,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      },
      secondaryBold: {
        fontWeight: _index.tokens.fontWeight.bold,
        lineHeight: _index.tokens.lineHeight['100'],
        fontSize: _index.tokens.fontSize['100'],
        letterSpacing: _index.tokens.letterSpacing.XXL,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      },
      tertiary: {
        fontWeight: _index.tokens.fontWeight.regular,
        lineHeight: _index.tokens.lineHeight['100'],
        fontSize: _index.tokens.fontSize['50'],
        letterSpacing: _index.tokens.letterSpacing.XL,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      }
    },
    label: {
      primary: {
        fontWeight: _index.tokens.fontWeight.bold,
        lineHeight: _index.tokens.lineHeight['150'],
        fontSize: _index.tokens.fontSize['125'],
        letterSpacing: _index.tokens.letterSpacing.XL,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      },
      secondary: {
        fontWeight: _index.tokens.fontWeight.regular,
        lineHeight: _index.tokens.lineHeight['100'],
        fontSize: _index.tokens.fontSize['100'],
        letterSpacing: _index.tokens.letterSpacing.XXL,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      },
      secondaryBold: {
        fontWeight: _index.tokens.fontWeight.bold,
        lineHeight: _index.tokens.lineHeight['100'],
        fontSize: _index.tokens.fontSize['100'],
        letterSpacing: _index.tokens.letterSpacing.XXL,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      },
      tertiary: {
        fontWeight: _index.tokens.fontWeight.regular,
        lineHeight: _index.tokens.lineHeight['50'],
        fontSize: _index.tokens.fontSize['75'],
        letterSpacing: _index.tokens.letterSpacing.XXL,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      },
      tertiaryBold: {
        fontWeight: _index.tokens.fontWeight.bold,
        lineHeight: _index.tokens.lineHeight['50'],
        fontSize: _index.tokens.fontSize['75'],
        letterSpacing: _index.tokens.letterSpacing.XXL,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      }
    },
    input: {
      primary: {
        fontWeight: _index.tokens.fontWeight.regular,
        lineHeight: _index.tokens.lineHeight['150'],
        fontSize: _index.tokens.fontSize['75'],
        letterSpacing: _index.tokens.letterSpacing.XL,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      },
      secondary: {
        fontWeight: _index.tokens.fontWeight.regular,
        lineHeight: _index.tokens.lineHeight['50'],
        fontSize: _index.tokens.fontSize['50'],
        letterSpacing: _index.tokens.letterSpacing.XL,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      }
    },
    button: {
      primary: {
        fontWeight: _index.tokens.fontWeight.bold,
        lineHeight: _index.tokens.lineHeight['200'],
        fontSize: _index.tokens.fontSize['100'],
        letterSpacing: _index.tokens.letterSpacing.XL,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      },
      secondary: {
        fontWeight: _index.tokens.fontWeight.bold,
        lineHeight: _index.tokens.lineHeight['200'],
        fontSize: _index.tokens.fontSize['75'],
        letterSpacing: _index.tokens.letterSpacing.XL,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      },
      tertiary: {
        fontWeight: _index.tokens.fontWeight.bold,
        lineHeight: _index.tokens.lineHeight['100'],
        fontSize: _index.tokens.fontSize['50'],
        letterSpacing: _index.tokens.letterSpacing.XL,
        paragraphSpacing: _index.tokens.paragraphSpacing.none,
        textDecoration: _index.tokens.textDecoration.none,
        textCase: _index.tokens.textCase.none
      }
    }
  }
};
exports.typography = typography;