"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.generatorFactory = void 0;
var _themeGeneratorType = require("./theme-generator.type.js");
var _utils = require("./utils.js");
const generatorFactory = (object = {}, pathToSave) => {
  const themeGeneratorObject = new _themeGeneratorType.ThemeGenerator(object, pathToSave);
  switch (themeGeneratorObject.returnType) {
    case _utils.RETURN_TYPES.FILE:
      themeGeneratorObject.run = async () => {
        return await Promise.all([(0, _utils.saveFile)('tokens', themeGeneratorObject), (0, _utils.saveFile)('theme', themeGeneratorObject)]);
      };
      break;
    case _utils.RETURN_TYPES.OBJECT:
      themeGeneratorObject.run = () => {
        return {
          theme: {
            ...(0, _utils.evalThemeObject)(themeGeneratorObject),
            tokens: (0, _utils.spreadKeys)(themeGeneratorObject.tokens.object)
          }
        };
      };
      break;
  }
  return themeGeneratorObject;
};
exports.generatorFactory = generatorFactory;