"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ThemeGenerator = void 0;
var _tokensTemplate = require("./tokens.template.js");
var _themeTemplate = require("./theme.template.js");
var _utils = require("./utils.js");
function _defineProperty(obj, key, value) { key = _toPropertyKey(key); if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }
function _toPropertyKey(arg) { var key = _toPrimitive(arg, "string"); return typeof key === "symbol" ? key : String(key); }
function _toPrimitive(input, hint) { if (typeof input !== "object" || input === null) return input; var prim = input[Symbol.toPrimitive]; if (prim !== undefined) { var res = prim.call(input, hint || "default"); if (typeof res !== "object") return res; throw new TypeError("@@toPrimitive must return a primitive value."); } return (hint === "string" ? String : Number)(input); }
class ThemeGenerator {
  constructor(object, pathToSave) {
    _defineProperty(this, "tokens", void 0);
    _defineProperty(this, "theme", void 0);
    _defineProperty(this, "pathToSave", void 0);
    _defineProperty(this, "returnType", void 0);
    _defineProperty(this, "run", void 0);
    this.tokens = {
      object: (0, _utils.getTokensObject)(object),
      templateFunction: _tokensTemplate.generateTokenTemplate,
      templateIndexFunction: _tokensTemplate.generateTokenIndexFile
    };
    this.theme = {
      object: (0, _utils.getThemeObject)(object),
      templateFunction: _themeTemplate.generateThemeTemplate,
      templateIndexFunction: _themeTemplate.generateThemeIndexFile
    };
    this.pathToSave = pathToSave;
    this.returnType = pathToSave?.length && pathToSave?.length > 0 ? _utils.RETURN_TYPES.FILE : _utils.RETURN_TYPES.OBJECT;
  }
}
exports.ThemeGenerator = ThemeGenerator;