"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.generateTokenTemplate = exports.generateTokenIndexFile = void 0;
var _prettier = _interopRequireDefault(require("prettier"));
var _prettierrc = _interopRequireDefault(require("../../../.prettierrc.json"));
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const prettierConfig = {
  ..._prettierrc.default,
  parser: 'babel'
};
const generateTokenTemplate = (tokenKey, tokenObject) => {
  return _prettier.default.format(`export const ${tokenKey} = ${tokenObject}`, prettierConfig);
};
exports.generateTokenTemplate = generateTokenTemplate;
const generateTokenIndexFile = keys => {
  return _prettier.default.format(`
    ${keys.map(key => `import { ${key} } from './${key}'`).join(';')}

    export const tokens = {
      ${keys.map(key => `...${key}`).join(',')}
    }
  `, prettierConfig);
};
exports.generateTokenIndexFile = generateTokenIndexFile;